
import * as service from '../service/user';
import { call } from 'redux-saga/effects';

export function* fetchSessionInfo(payload) {
  const session = yield call(service.sessionInfo, payload);
  return session;
}
export function* signin(payload) {
  return yield call(service.signin, payload);
}
export function* signout() {
  return yield call(service.signout); 
}
export function* getDomains() {
  return yield call(service.getDomains);
}
export function* userGroups() {
  return yield call(service.userGroups);
}
export function* getGroupUsers(payload) {
  return yield call(service.getGroupUsers, payload);
}
export function* getMcclUsers() {
  return yield call(service.getMcclUsers);
}
export function* getMcclDepartments() {
  return yield call(service.getMcclDepartments);
}